### Property

# Vte Terminal:input-enabled

#### Declaration

    property input-enabled: gboolean [ read, write ]

#### Description [src]

Controls whether the terminal allows user input. When user input is disabled, key press and mouse button press and motion events are not sent to the terminal’s child.

Type:`gboolean`

Default value | TRUE
Getter method | `vte_terminal_get_input_enabled()`
Setter method | `vte_terminal_set_input_enabled()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no